package blanco.jsf;

import java.io.File;
import java.io.IOException;
import java.util.List;

import blanco.jsf.valueobject.BlancoJsfStructure;

public class BlancoJsfXml2ConfigFile {
    public void structure2Xml(final List<BlancoJsfStructure> structureList,
            final File argDirectoryTargetXml) throws IOException {
        if (argDirectoryTargetXml.exists() == false) {
            if (argDirectoryTargetXml.mkdirs() == false) {
                throw new IllegalArgumentException("XML格納ディレクトリー ["
                        + argDirectoryTargetXml.getAbsolutePath()
                        + "] の作成に失敗しました。");
            }
        }

        new BlancoJsfExpandFacesConfig().expandXmlFile(structureList,
                argDirectoryTargetXml);
    }
}
